## IAnjutaFileManager IAnjutaFileManager — File manager plugin |

## Stability Level

Unstable, unless otherwise indicated

## Functions

GQuark | ianjuta_file_manager_error_quark ()
GFile * | ianjuta_file_manager_get_selected ()
void | ianjuta_file_manager_set_root ()
void | ianjuta_file_manager_set_selected ()

## Signals

void | section-changed | Run Last

## Types and Values

#define | IANJUTA_FILE_MANAGER_ERROR
#define | IANJUTA_FILE_MANAGER_SELECTED_FILE

## Object Hierarchy

        GInterface
        ╰── IAnjutaFileManager

## Includes

    #include <libanjuta/interfaces/ianjuta-file-manager.h>

## Description

## Functions

### ianjuta_file_manager_error_quark ()

    GQuark
    ianjuta_file_manager_error_quark (void);

#### Returns

### ianjuta_file_manager_get_selected ()

    GFile *
    ianjuta_file_manager_get_selected (IAnjutaFileManager *obj,
                                       GError **err);

fixme

#### Parameters

obj | Self |
err | Error propagation and reporting. |

#### Returns

### ianjuta_file_manager_set_root ()

    void
    ianjuta_file_manager_set_root (IAnjutaFileManager *obj,
                                   const gchar *root_uri,
                                   GError **err);

fixme

#### Parameters

obj | Self |
root_uri | fixme |
err | Error propagation and reporting. |

### ianjuta_file_manager_set_selected ()

    void
    ianjuta_file_manager_set_selected (IAnjutaFileManager *obj,
                                       GFile *file,
                                       GError **err);

fixme.

#### Parameters

obj | Self |
file | File to select |
err | Error propagation and reporting. |

## Types and Values

### IANJUTA_FILE_MANAGER_ERROR

    #define IANJUTA_FILE_MANAGER_ERROR ianjuta_file_manager_error_quark()

### IANJUTA_FILE_MANAGER_SELECTED_FILE

    #define IANJUTA_FILE_MANAGER_SELECTED_FILE "file_manager_selected_file"

Anjuta shell value set by file manager to the selected file.

## Signal Details

### The `“section-changed”` signal

    void
    user_function (IAnjutaFileManager *obj,
                   GFile              *err,
                   gpointer            user_data)

Flags: Run Last